# docker-keil
A docker image that allows you to run Keil uVision using Wine

## Usage
This docker image provides a pre-installed Wine installation with a pre-installed copy of "Keil uVision 5".
Furthermore, a command called `st-compile` is compiled which provides the functionality to build "Keil uVision 5" projects.

The command `st-compile` accepts one parameter:

The path to a project file or the path to a source file which belongs to a "Keil uVision 5" project (such as ASM or C source files).

Usage:

```bash
st-compile <path-to-project-or-source-file>
```

This docker image can be built using the following command:

```bash
docker build -t <tag-name> .
```
